zenilib: SDL_HapticConstant Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_HapticConstant Struct Reference

A structure containing a template for a Constant effect. More...

`#include <SDL_haptic.h>`

## Public Attributes

Uint16 | attack_length
Uint16 | attack_level
Uint16 | button
Uint16 | delay
SDL_HapticDirection | direction
Uint16 | fade_length
Uint16 | fade_level
Uint16 | interval
Uint32 | length
Sint16 | level
Uint16 | type

## Detailed Description

A structure containing a template for a Constant effect.

The struct is exclusive to the SDL_HAPTIC_CONSTANT effect.

A constant effect applies a constant force in the specified direction to the joystick.

See Also
  SDL_HAPTIC_CONSTANT
  SDL_HapticEffect

Definition at line 457 of file SDL_haptic.h.

## Member Data Documentation

Uint16 SDL_HapticConstant::attack_length

Duration of the attack.

Definition at line 475 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::attack_level

Level at the start of the attack.

Definition at line 476 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::button

Button that triggers the effect.

Definition at line 468 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::delay

Delay before starting the effect.

Definition at line 465 of file SDL_haptic.h.

SDL_HapticDirection SDL_HapticConstant::direction

Direction of the effect.

Definition at line 461 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::fade_length

Duration of the fade.

Definition at line 477 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::fade_level

Level at the end of the fade.

Definition at line 478 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::interval

How soon it can be triggered again after button.

Definition at line 469 of file SDL_haptic.h.

Uint32 SDL_HapticConstant::length

Duration of the effect.

Definition at line 464 of file SDL_haptic.h.

Sint16 SDL_HapticConstant::level

Strength of the constant effect.

Definition at line 472 of file SDL_haptic.h.

Uint16 SDL_HapticConstant::type

SDL_HAPTIC_CONSTANT

Definition at line 460 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_haptic.h